Dust(1)

NAME
Dust - Like du but more intuitive

SYNOPSIS
Dust [-h|--help] [-V|--version] [-d|--depth] [-n|--number-of-lines] [-p|--full-paths] [-X|--ignore-directory] [-L|--dereference-links] [-x|--limit-filesystem] [-s|--apparent-size] [-r|--reverse] [-c|--no-colors] [-b|--no-percent-bars] [-z|--min-size] [--skip-total] [-f|--filecount] [-i|--ignore_hidden] [-v|--invert-filter] [-e|--filter] [-t|--file_types] [-w|--terminal_width] [-H|--si] [-P|--no-progress] [-D|--only-dir] [inputs]

DESCRIPTION
Like du but more intuitive

OPTIONS

-h, --help
    Print help information

-V, --version
    Print version information

-d, --depth
    Depth to show

-n, --number-of-lines
    Number of lines of output to show. (Default is terminal_height - 10)

-p, --full-paths
    Subdirectories will not have their path shortened

-X, --ignore-directory
    Exclude any file or directory with this name

-L, --dereference-links
    dereference sym links - Treat sym links as directories and go into them

-x, --limit-filesystem
    Only count the files and directories on the same filesystem as the supplied directory

-s, --apparent-size
    Use file length instead of blocks

-r, --reverse
    Print tree upside down (biggest highest)

-c, --no-colors
    No colors will be printed (Useful for commands like: watch)

-b, --no-percent-bars
    No percent bars or percentages will be displayed

-z, --min-size
    Minimum size file to include in output

--skip-total
    No total row will be displayed

-f, --filecount
    Directory 'size' is number of child files/dirs not disk size

-i, --ignore_hidden
    Do not display hidden files

-v, --invert-filter
    Exclude filepaths matching this regex. To ignore png files type: -v "\.png$"

-e, --filter
    Only include filepaths matching this regex. For png files type: -e "\.png$"

-t, --file_types
    show only these file types

-w, --terminal_width
    Specify width of output overriding the auto detection of terminal width

-H, --si
    print sizes in powers of 1000 (e.g., 1.1G)

-P, --no-progress
    Disable the progress indication.

-D, --only-dir
    Only directories will be displayed.

[inputs]

VERSION
v0.8.3